Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::view::delimit_impl_fn Struct Reference

## Public Types
template<typename Rng , typename Val >
using | Concept = meta::and_< InputRange< Rng >, SemiRegular< Val >, EqualityComparable< Val, range_reference_t< Rng > >>

## Public Member Functions
template<typename Rng , typename Val , requires = (Concept<Rng, Val>())>
delimit_view< all_t< Rng >, Val > | operator() (Rng &&rng, Val value) const